Package Details: 3dfsb 1.2-2

Git Clone URL: https://aur.archlinux.org/3dfsb.git (read-only)
Package Base: 3dfsb
Description: 3D file browser
Upstream URL: https://github.com/tomvanbraeckel/3dfsb/
Licenses: GPL
Submitter: ImNtReal
Maintainer: Alad
Last Packager: ImNtReal
Votes: 4
Popularity: 0.000000
First Submitted: 2015-01-07 17:55
Last Updated: 2016-06-05 15:18

Latest Comments

Alad commented on 2017-11-15 11:54

https://github.com/3dfsb-dev/3dfsb/issues/14

demolitions commented on 2017-11-15 11:40

Cannot compile anymore:

==> Starting build()...
Usage: ./compile.sh [i386]
Add the i386 option to compile for 32-bit (i386) architectures on a 64-bit machine
Using sdl-config.
Converting built-in images to XPM format with imagemagick's 'mogrify' tool...
Converting other built-in files to .h file format with the xxd tool...
GNU/Linux detected.
Compiling...3dfsb.c:216:43: error: initialization makes integer from pointer without a cast [-Wint-conversion]
pthread_t async_load_textures_thread_id = NULL;
^~~~
media.c: In function ‘get_image_from_file’:
media.c:292:3: error: this statement may fall through [-Werror=implicit-fallthrough=]
g_print("Failed to pause the file\n");
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
media.c:294:2: note: here
case GST_STATE_CHANGE_NO_PREROLL:
^~~~
cc1: all warnings being treated as errors
done.

neven commented on 2015-03-19 23:57

Thanks, hmm
I'll look into it over the weekend.

ImNtReal commented on 2015-03-18 20:20

It works for me. Really screws up my X settings, but it works.

neven commented on 2015-03-18 20:19

Did you try it out after building it? It behaves really wyrd for me. (It exits X...)

ImNtReal commented on 2015-03-12 13:45

Turns out it needs xdotool-git for the time being.

ImNtReal commented on 2015-03-12 13:38

@neven, have you been able to get 1.2 to build? I get errors about missing xdo functions.

neven commented on 2015-03-11 23:54

Vim-minimal (xxd) is also needed as a makedep.
EDIT: and xdotool seems to be a new dependency in v1.2.

neven commented on 2015-03-11 23:14

Vim-minimal (xxd) is also needed as a makedep.

ImNtReal commented on 2015-02-16 15:19

@neven, thanks. It's been fixed.

All comments